.banners-page__container {
    padding: 0 15px;
}

.row {
    margin-bottom: 15px;
}

.row--title {
    padding: 20px 0 8px 0;
}

.row--title > h1 {
    font-size: 1.5rem;
}

.row--description,
.row--attachments {
    border-top: 1px solid rgba(123, 123, 123, 0.4);
}

.title-bar {
    padding: 10px 0;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
}

.title-bar .title-chunk {
    color: #585858;
}

.title-bar .title-chunk--left {
    justify-self: start;
    font-weight: 900;
    font-size: 0.9rem;
}

.title-bar .title-chunk--right {
    justify-self: end;
    font-style: italic;
    font-size: 0.9rem;
}

.block--form-control--attachments {
    min-height: 100px;
}

.block--form-control {
    display: flex;
}

.block--form-control select,
.block--form-control input {
    width: 100%;
    padding: 7px 5px;
    border: 1px solid rgba(123, 123, 123, 0.4);
    border-radius: 4px;
}

.block--form-control--phone select {
    max-width: 300px;
    margin-right: 25px;
}

#cke_editor {
    width: 100%;
}

.block--form-control--attachments .actions-row button {
    overflow: hidden;
    border: 0 none;
    cursor: pointer;
    background: #dfdfdf;
    padding: 6px 13px;
    border-radius: 4px;
    color: #434343;
}

.block--form-control--attachments .actions-row button:hover {
    background: #d1d0d0;
}

.row--position-picker {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

.row--position-picker .position-item .preview-bar {
    position: relative;
}

.row--position-picker .position-item {
    flex-grow: 1;
    margin-right: 10px;
    -webkit-border-radius: 3px 3px 8px 8px;
    -moz-border-radius: 3px 3px 8px 8px;
    border-radius: 3px 3px 8px 8px;
    overflow: hidden;
    transition: 300ms ease;
    border: 2px dashed transparent;
    max-width: 300px;
    margin-bottom: 5px;
}

.row--position-picker .position-item.active,
.row--position-picker .position-item:hover {
    cursor: pointer;
    box-shadow: 0px 5px 4px 0px #0000007a;
    transform: translate(-3px, -3px);
}

.row--position-picker .position-item:last-child {
    margin-right: 0;
}

.row--position-picker .position-item .preview-bar img {
    width: 100%;
    object-fit: contain;
    padding: 5px;
    box-sizing: border-box;
}

.row--position-picker .position-item .header-bar {
    background: #ededed;
    display: flex;
    padding: 15px;
    height: 45px;
    align-items: center;
}

.row--position-picker .position-item .header-bar .icon {
    min-width: 40px;
    min-height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-image: url(/img/clock-frame-with-arrows.png);
    background-size: 100% 100%;
    font-size: 0.7rem;
    font-weight: 900;
    color: gray;
}

.row--position-picker .position-item .header-bar .icon > span {
    font-family: cursive;
}

.row--position-picker .position-item .header-bar .description {
    flex-grow: 1;
    padding: 5px 10px 5px 15px;
    font-size: 1rem;
    color: #636363;
    border-color: #636363 !important;
    border-left: 1px solid;
    margin-left: 15px;
    line-height: 1.2;
}

.row--position-picker .position-item .header-bar .price-txt {
    margin-left: 15px;
}

.row--position-picker .position-item.active {
    border: 2px dashed #2196f3;
}

.row--position-picker .position-item.active .description {
    color: #2196f3;
}

.row--position-picker .position-item.active .preview-bar::after {
    background-color: transparent;
}

.section-title {
    font-size: 1rem;
    font-weight: 600;
    color: #636363;
    margin-bottom: 8px;
}

.row--payment-methods {
    margin: 25px 0;
}

.payment-method:not(:last-child) {
    margin-bottom: 15px;
}

.payment-method {
    background: #e9e9e9;
    border: 1px solid #bdbdbd;
    padding: 7px 9px;
    border-radius: 2px;
    font-weight: 600;
    font-size: 0.9rem;
    text-transform: capitalize;
    color: #636363;
}

.payment-method:hover {
    cursor: pointer;
    box-shadow: inset 0 0 12px 0 rgba(0, 0, 0, 0.3);
}

.payment-method input[type=radio] {
    margin-right: 5px;
}

.row--form-actions {
    display: flex;
    justify-content: flex-end;
}

.row--form-actions button {
    background: #ededed;
    margin-left: 12px;
    padding: 10px 19px;
    border-radius: 4px;
    text-transform: capitalize;
    font-weight: 600;
    font-size: 0.8rem;
}

.row--form-actions button.pink {
    background: #da2c82;
    color: #fff
}

.row--form-actions button.gray:hover {
    background: #d1d1d1;
}

.row--form-actions button.pink:hover {
    background: #cf146b;
}

.attachment-items-list {
    display: flex;
    padding: 15px 0;
}

.attachment-item {
    position: relative;
    overflow: hidden;
    margin-right: 15px;
    width: 30%;
    height: 250px;
    background: #ededed;
    border-radius: 4px;
}

.attachment-item img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.attachment-item:after {
    content: '';
    background: linear-gradient(0deg, rgba(0, 1, 4, 0) 0%, rgba(3, 0, 1, 1) 89%);
    width: 100%;
    height: 80px;
    left: 0;
    top: 0;
    position: absolute;
    z-index: 1;
}

.attachment-item button {
    position: absolute;
    top: -100%;
    transition: 250ms;
    color: white;
    font-size: 2rem;
    font-family: cursive;
    left: calc(50% - 25px);
    cursor: pointer;
    z-index: 2;
    border: 2px solid;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    text-shadow: 0 0 5px #ffffffa8;
    box-shadow: 0 0 4px 0 #ffffffa8;
}

.helper_txt {
    color: #721c24;
    font-size: 16px;
    width: 100%;
    margin: 15px 0;
    background-color: #f8d7da;
    border-color: #f5c6cb;
    border-radius: 4px;
    box-sizing: border-box;
    visibility: hidden;
    display: block;
}

.helper_txt.visible {
    visibility: visible;
    padding: 15px;
}


.attachment-item:hover button {
    top: 15px;
}

.block--form-control input.invalid {
}

body.processing .loading-wrapper {
    display: flex;
}

.loading-wrapper {
    position: fixed;
    left: 0;
    top: 0;
    background: #0000002b;
    width: 100%;
    height: 100%;
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 999999;
}

.payment-response .body {
    max-width: 510px;
    font-size: 17px;
    text-align: center;
    margin: 90px auto;
    line-height: 1.5;
}


.payment-response .back-btn {
    font-size: 16px;
    font-weight: bold;
    color: #db2d83;
    border-radius: 5px;
    cursor: pointer;
    height: 16px;
    border: 1px solid rgba(219, 45, 131, 0.4);
    text-decoration: none;
    padding: 11px 19px 13px 19px;
    margin-top: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.payment-response .back-btn > img {
    -webkit-transform: translateX(-6px);
    -moz-transform: translateX(-6px);
    -ms-transform: translateX(-6px);
    -o-transform: translateX(-6px);
    transform: translateX(-6px);
}

.payment-response .back-btn:hover {
    background: rgba(219, 45, 131, 0.2);
    color: rgba(24, 28, 31, 0.7);
}

.payment-response .back-btn:active {
    background: rgba(219, 45, 131, 0.6);
    color: rgba(24, 28, 31, 0.7);
}

